(function( $ ) {
	$( document ).ready(function() {

		/**
		 * On item submit button click
		 */
		$( '.add_item__submit' ).click(function(e) {
			e.preventDefault();

			// Get our input value
			var valueElem = $( this ).siblings( '.add_item__value' ),
				value = valueElem.val().trim();

			// If we have no input value do nothing
			if ( !value )
				return;

			// Get selected IDX Feed
			var sourceElem = $( this )
					.siblings( '.add_item__source')
					.find( 'option:selected' );

			// Construct our ID and get our input target
			var id = sourceElem.val() + '-'  + value,
				target = $( this ).data( 'target' );

			// Construct table row
			var table = $( this ).data( 'table' ),
				cells = [
					// IDX Feed
					$( document.createElement( 'td' ) ).html( sourceElem.text() ),
					// Value
					$( document.createElement( 'td' ) ).html( value ),
					// Delete button
					$( document.createElement( 'th' ) )
						.html( 'Delete' )
						.addClass( 'add_item__btn--delete text-danger' )
						.data( 'table-row', id )
						.data( 'target', target )
				],
				row = $( document.createElement( 'tr' ) )
					.attr( 'id', id )
					.append( cells );
			$( table ).append( row );

			// Append the value to our target input
			var $target = getInputTargetElem( target );
			$target.val( $target.val() + id + ';');

			// Clear our input value field
			valueElem.val( '' );
		});


		/**
		 * On item delete button click.
		 * Handles dynamically added buttons.
		 */
		$( document ).on('click', '.add_item__btn--delete', function( e ) {
			e.preventDefault();

			// Get the delete button element and get our targeted input field
			var btn = $( e.target );
			var target = getInputTargetElem( btn.data( 'target' ) );
			// Get our table and table row to delete
			var table = btn.data( 'table' ),
				tableRow = btn.data( 'table-row' );

			// Remove from input
			var value = target.val().replace( tableRow + ';', '' );
			target.val( value );

			// Remove from table
			$( '#' + tableRow ).remove();
		});
	});

	/**
	 * Gets our input target element
	 * @param  {string}         name Input name
	 * @return {jquery element}      Input target element
	 */
	function getInputTargetElem( name ) {
		return $( 'input[name="' + name + '"]' );
	}
})( jQuery )
