<?php
$adv_search_settings = gd_get_option( GD_OPTIONS_ADVANCED_SEARCH );
wp_localize_script( 'gd_map_search', 'map_search', array(
	'start' => array(
		'lat'  => $adv_search_settings['MapSearchStartLat'],
		'lon'  => $adv_search_settings['MapSearchStartLon'],
		'zoom' => $adv_search_settings['MapSearchStartZoom'],
	),
) );
wp_enqueue_script( 'gd_map_search' );

$new_group  = $view == 'form-new';
$title      = $new_group ? 'New' : 'Edit';
$form_action = add_query_arg( array(
	'page'   => GD_ADMIN_PAGE_CUSTOM_SEARCHES,
    'action' => $new_group ? 'add' : 'edit',
    'id'     => $id ? $id : false, 
) );

// Create IDX Feed dropdown menu.
$idx_feed_dropdown = '<select class="add_item__source form-control">';
if ( isset( $_SESSION['gd']['agent']->sources ) ) {
	foreach ( $_SESSION['gd']['agent']->sources as $source ) {
		$idx_feed_dropdown .= sprintf(
			'<option value="%s">%s</option>',
			$source->id, $source->name
		);
	}
}
$idx_feed_dropdown .= '</select>';

$prop_types = \GeoDigs\API::call( 'GET', 'listings/types' );
$statuses = \GeoDigs\API::call( 'GET', 'listings/statuses' );

$save_button = '<input type="submit" class="button button-primary"
value="Save All"/>';

$layout_featured = 'featured';
$layout_rows = 'rows';
$layout_grid = 'grid';

$group_template = (object) array(
	'value' => '',
	'list' => array(),
	'filter' => (object) array(
		'days' => '',
		'type' => '',
		'status' => '',
		'cities' => '',
		'county' => '',
		'zip' => '',
		'minPrice' => '',
		'maxPrice' => '',
		'minBeds' => '',
		'minBaths' => '',
	),
);

// Prep the form values.
$name = isset( $search->name ) ? $search->name : '';
$displayCount = isset( $search->displayCount ) ? $search->displayCount : 10;
$sort = isset( $search->sort->value ) ? $search->sort->value : '';
$fill = isset( $search->fill ) ? $search->fill : '0';

// GROUP: properties.
$properties = isset( $search->params->properties )
	? $search->params->properties
	: (object) array(
		'value' => '',
		'list' => (object) array(),
	);
// GROUP: agents.
$agents = isset( $search->params->agents )
	? $search->params->agents
	: $group_template;
// GROUP: offices.
$offices = isset( $search->params->offices )
	? $search->params->offices
	: $group_template;
// GROUP: general.
$general = isset( $search->params->general )
	? $search->params->general : (object) array();
$polygon = isset( $general->polygon ) ? $general->polygon : '';
$lat = isset( $general->lat ) ? $general->lat : '';
$lon = isset( $general->lon ) ? $general->lon : '';
$radius = isset( $general->radius ) ? $general->radius : '';
$minLat = isset( $general->minLat ) ? $general->minLat : '';
$minLon = isset( $general->minLon ) ? $general->minLon : '';
$maxLat = isset( $general->maxLat ) ? $general->maxLat : '';
$maxLon = isset( $general->maxLon ) ? $general->maxLon : '';;
$streetNumber = isset( $general->streetNumber )
	? $general->streetNumber : '';
$streetName = isset( $general->streetName )
	? $general->streetName : '';
$unit = isset( $general->unit ) ? $general->unit : '';
$zip = isset( $general->zip ) ? $general->zip : '';
$cities = isset( $general->cities ) ? $general->cities : '';
$county = isset( $general->county ) ? $general->county : '';
$schoolElementary = isset( $general->schoolElementary )
	? $general->schoolElementary : '';
$schoolMiddle = isset( $general->schoolMiddle )
	? $general->schoolMiddle : '';
$schoolHigh = isset( $general->schoolHigh )
	? $general->schoolHigh : '';
$minPrice = isset( $general->minPrice ) ? $general->minPrice : '';
$maxPrice = isset( $general->maxPrice ) ? $general->maxPrice : '';
$minBed = isset( $general->minBed ) ? $general->minBed : '';
$minBath = isset( $general->minBath ) ? $general->minBath : '';
$minYearBuilt = isset( $general->minYearBuilt )
	? $general->minYearBuilt : '';
$maxYearBuilt = isset( $general->maxYearBuilt )
	? $general->maxYearBuilt : '';
$status = isset( $general->status ) ? $general->status : '';
$type = isset( $general->type ) ? $general->type : '';
$style = isset( $general->style ) ? $general->style : '';
$minAboveArea = isset( $general->minAboveArea )
	? $general->minAboveArea : '';
$maxAboveArea = isset( $general->maxAboveArea )
	? $general->maxAboveArea : '';
$minFinishedArea = isset( $general->minFinishedArea )
	? $general->minFinishedArea : '';
$maxFinishedArea = isset( $general->miaxinishedArea )
	? $general->miaxinishedArea : '';
$minTotalArea = isset( $general->minTotalArea )
	? $general->minTotalArea : '';
$maxTotalArea = isset( $general->miaxotalArea )
	? $general->miaxotalArea : '';
$minParkingSpaces = isset( $general->minParkingSpaces )
	? $general->minParkingSpaces : '';
$minAcreage = isset( $general->minAcreage )
	? $general->minAcreage : '';
$maxAcreage = isset( $general->maxAcreage )
	? $general->maxAcreage : '';
$layout = isset( $search->layout )
	? $search->layout : $layout_featured;
$show_map = isset( $search->showMap )
	? $search->showMap : '0';

require GD_DIR_ADMIN_TEMPLATES . 'custom-search-form.php';
