<?php
use GeoDigs\Admin\Settings as Settings;
use GeoDigs\API as API;

// Include settings classes/pages
require 'settings/Settings.php'; // Base class
require 'settings/Calendars.php';
require 'settings/CustomSearches.php';
require 'settings/DocumentStore.php';
require 'settings/Domains.php';
require 'settings/General.php';
require 'settings/Validation.php';
require 'settings/ScriptsAndStyles.php';
require 'settings/Users.php';

// Set API key to the agent's
API::set_key( gd_get_agent_login_info( 'APIKey' ) );

// Login as user if this information is supplied
if (isset( $_GET['page'] ) && $_GET['page'] == GD_ADMIN_PAGE_USERS &&
	isset( $_GET['action'] ) && $_GET['action'] == 'login' &&
    isset( $_GET['id'] )
) {

	GeoDigs\User::login_as( $_GET['id'] );
}

// WARNGING: The oder these are called dicates the order they appear in the sidebar.
new Settings\General();
new Settings\CustomSearches();
new Settings\Users();
new Settings\Calendars();
new Settings\DocumentStore();
new Settings\Domains();
new Settings\ScriptsAndStyles();
new Settings\Validation();
