<?php
namespace GeoDigs\Admin\Settings;

include_once GD_DIR_ADMIN_INCLUDES . '/calendars-table.php';

/**
 * GeoDigs calendar settings
 */
class Calendars extends Settings
{

	public function add_submenus() {
		add_submenu_page(
			GD_ADMIN_PAGE,
			'GeoDigs Calendars',
			'Calendars',
			'manage_options',
			GD_ADMIN_PAGE_CALENDARS,
			array( &$this, 'render_page' )
		);
	}

	public function display_notices() {}
	public function register_settings() {}

	public function render_page() {
		// Create calendar manager
		$calendar;
		$action = 'add';

		if ( isset( $_GET['action'] ) ) {
			switch ( $_GET['action'] ) {
				case 'add':
					if ( $_POST['user'] && $_POST['calendarName'] && $_POST['link'] ) {
						$user          = sanitize_text_field( $_POST['user'] );
						$calendar_name = sanitize_text_field( $_POST['calendarName'] );
						$link          = sanitize_text_field( $_POST['link'] );
						\GeoDigs\Calendars::add( $user, $calendar_name, $link );
					}
					break;
				case 'edit':
					$calendar = \GeoDigs\Calendars::get( $_GET['id'] );
					$action = 'update';
					break;
				case 'update':
					if ( $_POST['id'] && $_POST['user'] && $_POST['calendarName'] && $_POST['link'] ) {
						$id            = sanitize_text_field( $_POST['id'] );
						$user          = sanitize_text_field( $_POST['user'] );
						$calendar_name = sanitize_text_field( $_POST['calendarName'] );
						$link          = sanitize_text_field( $_POST['link'] );
						\GeoDigs\Calendars::update( $id, $user, $calendar_name, $link );
					}
					break;
				case 'delete':
					if ( $_GET['id'] ) {
						$id = sanitize_text_field( $_GET['id'] );
						\GeoDigs\Calendars::delete( $id );
					}
					break;
			}
		}

		// Get users
		$users = \GeoDigs\API::call( 'GET', 'users' );

		/** Create table of calendars **/

		//Create an instance of our package class...
		$calendar_table = new \GeoDigs_Calendar_Table( $users );
		// //Fetch, prepare, sort, and filter our data...
		$calendar_table->prepare_items();
		// // Display our data
		$calendar_table->display();

		$calendar_id = isset( $calendar->id ) ? $calendar->id : '';
		$calendar_link = isset( $calendar->link ) ? $calendar->link : '';
		$calendar_name = isset( $calendar->name ) ? $calendar->name : '';
		$calendar_user_id = isset( $calendar->userId ) ? $calendar->userId : '';
		?>
		<br>
		<!-- Upload file form -->
		<h3>Add Calendar</h3>
		<form action="?page=<?=$_REQUEST['page']?>&action=<?=$action?>" method="post" enctype="multipart/form-data">
		<!-- 	Used for editing a file -->
			<input type="hidden" id="gd-calendar-id" name="id" value="<?php echo $calendar_id; ?>">
			<table class="form-table">
				<tr>
					<th>Name*</th>
					<td>
						<input type="text" id="gd-calendar-name" name="calendarName" value="<?php echo $calendar_name; ?>" required>
					</td>
				</tr>
				<tr>
					<th>User*</th>
					<td>
						<?php if ( isset( $users->error ) ): ?>
							<span>Error: <?php echo $users->message; ?></span>
						<?php else: ?>
							<select name="user" id="gd-calendar-user">
								<?php foreach ( $users as $user ): ?>
									<option value="<?=$user->id?>" <?php selected( $calendar_user_id, $user->id ); ?>><?=$user->name?></option>
								<?php endforeach; ?>
							</select>
						<?php endif; ?>
					</td>
				</tr>
				<tr>
					<th>Link</th>
					<td>
						<input type="text" id="gd-calendar-link" name="link" value="<?php echo $calendar_link; ?>" required>
					</td>
				</tr>
			</table>
			<?php submit_button( 'Add Calendar' ); ?>
		</form>
	<?php }
}
