<?php
namespace GeoDigs\Admin\Settings;

include_once GD_DIR_ADMIN_INCLUDES . 'document-store-table.php';

/**
 * GeoDigs document store settings
 */
class DocumentStore extends Settings
{
	public function add_submenus() {
		add_submenu_page(
			GD_ADMIN_PAGE,
			'GeoDigs Document Store',
			'Document Store',
			'manage_options',
			GD_ADMIN_PAGE_DOCUMENT_STORE,
			array( &$this, 'render_page' )
		);
	}

	public function display_notices() {}
	public function register_settings() {}

	public function render_page() {
		// Sanitize vars
		if ( isset( $_POST['id'] ) ) {
			$id = sanitize_text_field( $_POST['id'] );
		} elseif ( isset( $_GET['id'] ) ) {
			$id = sanitize_text_field( $_GET['id'] );
		} else {
			$id = '';
		}
		$file_name   = isset( $_POST['fileName'] ) ? sanitize_text_field( $_POST['fileName'] ) : '';
		$description = isset( $_POST['description'] ) ? sanitize_text_field( $_POST['description'] ) : '';
		$user        = isset( $_POST['user'] ) ? sanitize_text_field( $_POST['user'] ) : '';

		// Do our action
		if ( isset( $_GET['action'] ) ) {
			switch ( $_GET['action'] ) {
				case 'upload':
					if ( count( $_FILES ) > 0 ) {
						// Are we updating or adding a file?
						if ( $_POST['id'] ) {
							\GeoDigs\DocumentStore::update_file( $id, $file_name, $description, $user, 'active' );
						} else {
							\GeoDigs\DocumentStore::add_file( $file_name, $description, $user, 'active' );
						}
					}
					break;
				case 'download':
					\GeoDigs\DocumentStore::download_file( $id );
					break;
				case 'edit':
					$file = \GeoDigs\DocumentStore::get_file( $id );
					break;
				case 'delete':
					\GeoDigs\DocumentStore::delete_file( $id );
					break;
			}
		}


		if ( isset( $_POST['notify'] ) && $_POST['notify'] == true ) {
			\GeoDigs\DocumentStore::notify_user( $file_name, $user );
		}

		// Get users
		$users = \GeoDigs\DocumentStore::get_users();

		/** Create table of documents **/

		//Create an instance of our package class...
		$document_store_files = new \GeoDigs_Document_Store_Table( $users );
		// //Fetch, prepare, sort, and filter our data...
		$document_store_files->prepare_items();
		// // Display our data
		$document_store_files->display();

		$file_id = isset( $file->id ) ? $file->id : '';
		$file_name = isset( $file->name ) ? $file->name : '';
		$file_description = isset( $file->description ) ? $file->description : '';
		$file_userId = isset( $file->userId ) ? $file->userId : '';
		?>
		<br>
		<!-- Upload file form -->
		<h3>Upload Document</h3>
		<form action="?page=<?php echo $_REQUEST['page']; ?>&action=upload" method="post" enctype="multipart/form-data">
		<!-- 	Used for editing a file -->
			<input type="hidden" id="gd-ds-file-id" name="id" value="<?php echo $file_id; ?>">
			<table class="form-table">
				<tr>
					<th>Name*</th>
					<td>
						<input type="text" id="gd-ds-file-name" name="fileName" value="<?php echo $file_name; ?>" required>
					</td>
				</tr>
				<tr>
					<th>Description*</th>
					<td>
						<input type="text" id="gd-ds-file-description" name="description" value="<?php echo $file_description; ?>" required>
					</td>
				</tr>
					<th>User*</th>
					<td>
						<select name="user" id="gd-ds-user">
							<?php foreach ( $users as $_user ): ?>
								<option value="<?php echo $_user->id; ?>" <?php selected( $file_userId, $_user->id ); ?>><?php echo $_user->name; ?></option>
							<?php endforeach; ?>
						</select>
					</td>
				</tr>
				<tr>
					<th>Choose a File</th>
					<td>
						<input type="file" id="gd-ds-file" name="file" required>
					</td>
				</tr>
				<tr>
					<th>Notify User</th>
					<td>
						<input type="checkbox" id="gd-ds-notify" name="notify">
					</td>
				</tr>
			</table>
			<?php submit_button(); ?>
		</form>
	<?php }
}
