<?php
namespace GeoDigs\Admin\Settings;

/**
 * GeoDigs settings base class
 */
abstract class Settings
{

	function __construct() {
		add_action( 'admin_init', array( &$this, 'register_settings' ) );
		add_action( 'admin_menu', array( &$this, 'add_menu' ) );
		add_action( 'admin_menu', array( &$this, 'add_submenus' ) );
		add_action( 'admin_notices', array( &$this, 'display_notices' ) );
	}

	public function add_menu() {
		if ( empty ( $GLOBALS['admin_page_hooks'][GD_ADMIN_PAGE] ) ) {
			add_menu_page(
				'GeoDigs Options',
				'GeoDigs',
				'manage_options',
				GD_ADMIN_PAGE,
				'',
				GD_URL_IMAGES . 'ui/settings-icon.png'
			);
		}
	}

	abstract public function add_submenus();
	abstract public function display_notices();
	abstract public function register_settings();
}
