<h2><?php echo $title; ?> Custom Search</h2>
<form action="<?php echo $form_action; ?>" method="post" class="gd-custom-search-form children-border-box container-fluid">
	<section class="name">
		<div class="row">
			<div class="col-md-3">
				<h3>Name</h3>
				<input class="form-control" type="text" name="name" value="<?php echo $name; ?>">
			</div>
		</div>
	</section>

	<br>

	<section class="layout">
		<div class="panel panel-default">
			<div class="panel-heading">
				<h3 class="panel-title">Layout</h3>
			</div>
			<div class="panel-body">
				<div class="row">
					<div class="col-md-3">
						<label>Max Number of Listings to Display</label>
						<input class="form-control" type="number" name="displayCount" value="<?php echo $displayCount; ?>">
						<label>Sort Order</label>
						<select class="form-control ajax-list" name="sort"
						data-url="<?php echo GD_URL_PROXY_API_SORT; ?>"
						data-selected="<?php echo $sort; ?>">
							<option value="">None</option>
						</select>
						<div class="checkbox">
							<label><input type="checkbox" name="showMap" value="1" <?php checked($show_map, '1'); ?>>Show map</label>
						</div>
					</div>

					<div class="col-md-9">
						<div class="row">
							<div class="col-md-3">
								<div class="radio">
									<label>
										<span>Featured</span>
											<input type="radio" name="layout" value="<?php echo $layout_featured; ?>" <?php checked($layout, $layout_featured); ?>>
										<img src="<?php echo GD_URL_ADMIN_ASSETS_IMAGES; ?>layout-default.png" alt="Default Layout">
									</label>
								</div>
							</div>
							<div class="col-md-3">
								<div class="radio">
									<label>
										<span>Rows</span>
										<input type="radio" name="layout" value="<?php echo $layout_rows; ?>" <?php checked($layout, $layout_rows); ?>>
										<img src="<?php echo GD_URL_ADMIN_ASSETS_IMAGES; ?>layout-rows.png" alt="Row Layout">
									</label>
								</div>
							</div>
							<div class="col-md-3">
								<div class="radio">
									<label>
										<span>Grid</span>
										<input type="radio" name="layout" value="<?php echo $layout_grid; ?>" <?php checked($layout, $layout_grid); ?>>
										<img src="<?php echo GD_URL_ADMIN_ASSETS_IMAGES; ?>layout-grid.png" alt="Grid Layout">
									</label>
								</div>
							</div>
						</div>
                    </div>
				</div>
			</div>
		</div>
	</section>

	<!-- Properties -->
	<section class="gd-settings properties">
		<div class="panel panel-default">
			<div class="panel-heading">
				<h3 class="panel-title">
					1. Properties
					<br>
					<small>Include multiple properties to appear at the top of this search's results.</small>
				</h3>
			</div>
			<div class="panel-body">
				<input type="hidden" name="properties" value="<?php echo $properties->value; ?>">
				<div class="row">
					<div class="col-md-3">
						<label>IDX Feed</label>
						<?php echo $idx_feed_dropdown; ?>
						<label>MLS Number</label>
						<input type="text" class="add_item__value form-control">
						<br>
						<button
							class="add_item__submit button button-secondary"
							data-target="properties"
							data-table="#gd-properties"
						>Add Property</button>
					</div>
					<div class="col-md-9">
						<table id="gd-properties" class="table">
							<thead>
								<tr>
									<th>IDX Feed</th>
									<th>MLS Number</th>
									<th></th>
								</tr>
							</thead>
							<tbody>
								<?php if ( count ( $properties->list ) > 0 ): ?>
									<?php foreach ( $properties->list as $property ): ?>
										<tr id="<?php echo $property->value; ?>">
											<td><?php echo $property->source->name; ?></td>
											<td><?php echo $property->readable; ?></td>
											<th
												scope="row"
												class="add_item__btn--delete text-danger"
												data-target="properties"
												data-table="#gd-properties"
												data-table-row="<?php echo $property->value; ?>"
											>Delete</th>
										</tr>
									<?php endforeach; ?>
								<?php endif; ?>
							</tbody>
						</table>
                    </div>
                </div>
                <div class="row">    
                    <div class="col-xs-12">
                        <?php echo $save_button; ?>
                    </div>
				</div>
			</div>
		</div>
	</section>

	<!-- Agents -->
	<section class="gd-settings agents">
		<div class="panel panel-default">
			<div class="panel-heading">
				<h3 class="panel-title">
					2. Agents
					<br>
					<small>Include listings from multiple agents right after your chosen properties (above).</small>
				</h3>
			</div>
			<div class="panel-body add_item__wrapper">
				<input type="hidden" name="agents[value]" value="<?php echo $agents->value; ?>">
				<div class="row">
					<div class="col-md-6">
						<div class="row">
							<div class="col-md-3">
								<label>IDX Feed</label>
								<?php echo $idx_feed_dropdown; ?>
								<label>Agent Code</label>
								<input type="text" class="add_item__value form-control">
								<br>
								<button
									class="add_item__submit button button-secondary"
									data-target="agents[value]"
									data-table="#gd-agents"
                                >Add Agent</button>
							</div>
							<div class="col-md-9">
								<table id="gd-agents" class="table">
									<thead>
										<tr>
											<th>IDX Feed</th>
											<th>Agent Code</th>
											<th></th>
										</tr>
									</thead>
									<tbody>
										<?php if ( count( $agents->list ) > 0 ): ?>
											<?php foreach ( $agents->list as $agent ): ?>
												<tr id="<?php echo $agent->value; ?>">
													<td><?php echo $agent->source->name; ?></td>
													<td><?php echo $agent->readable; ?></td>
													<th
														scope="row"
														class="add_item__btn--delete text-danger"
														data-target="agents[value]"
														data-table="#gd-agents"
														data-table-row="<?php echo $agent->value; ?>"
													>Delete</th>
												</tr>
											<?php endforeach; ?>
										<?php endif; ?>
									</tbody>
								</table>
							</div>
						</div>
					</div>

					<?php $filter = $agents->filter; ?>
					<div class="col-md-6">
						<h3>Filter</h3>
						<div class="row">
							<div class="col-md-4">
								<label for="agents[filter][days]">Days on Market</label>
								<input class="form-control" type="number" name="agents[filter][days]" value="<?php echo $filter->days; ?>">
								<label for="agents[filter][type]">Property Type</label>
								<?php gd_render_dropdown(
									'agents[filter][type]', $prop_types, $filter->type
								); ?>
								<label for="agents[filter][status]">Status</label>
								<?php gd_render_dropdown(
									'agents[filter][status]', $statuses, $filter->status
								); ?>
							</div>
							<div class="col-md-4">
								<label for="agents[filter][cities]">City</label>
								<select class="form-control" name="agents[filter][cities]" value="<?php echo $filter->cities; ?>">
									<option value="">Any</option>
									<?php foreach( gd_get_cities() as $city ): ?>
										<option value="<?php echo $city->name; ?>"
											<?php selected( $city->name, $filter->cities ); ?>>
											<?php echo $city->name; ?>
										</option>
									<?php endforeach; ?>
								</select>
								<label for="agents[filter][county]">County</label>
								<input class="form-control" type="text" name="agents[filter][county]" value="<?php echo $filter->county; ?>">
								<label for="agents[filter][zip]">Zip</label>
								<input class="form-control" type="text" name="agents[filter][zip]" value="<?php echo $filter->zip; ?>">
							</div>
							<div class="col-md-4">
								<label>Price</label>
								<div class="row">
									<div class="col-xs-12">
										<input class="form-control" type="number" name="agents[filter][minPrice]" placeholder="Min" value="<?php echo $filter->minPrice; ?>">
										<input class="form-control" type="number" name="agents[filter][maxPrice]" placeholder="Max" value="<?php echo $filter->maxPrice; ?>">
									</div>
								</div>
								<label for="agents[filter][minBeds]">Min Beds</label>
								<input class="form-control" type="number" name="agents[filter][minBeds]" value="<?php echo $filter->minBeds; ?>">
								<label for="agents[filter][minBaths]">Min Baths</label>
								<input class="form-control" type="number" name="agents[filter][minBaths]" value="<?php echo $filter->minBaths; ?>">
							</div>
						</div>
					</div>
				</div>
                <div class="row">    
                    <div class="col-xs-12">
                        <?php echo $save_button; ?>
                    </div>
				</div>
			</div>
		</div>
	</section>

	<!-- Offices -->
	<section class="gd-settings offices">
		<div class="panel panel-default">
			<div class="panel-heading">
				<h3 class="panel-title">
					3. Offices
					<br>
					<small>Include listings from multiple offices right after agent listings (above).</small>
				</h3>
			</div>
			<div class="panel-body add_item__wrapper">
				<input type="hidden" name="offices[value]" value="<?php echo $offices->value; ?>">
				<input type="hidden" name="offices[filter][status]" value="2">
				<div class="row">
					<div class="col-md-6">
						<div class="row">
							<div class="col-md-3">
								<label>IDX Feed</label>
								<?php echo $idx_feed_dropdown; ?>
								<label>Office Code</label>
								<input type="text" class="add_item__value form-control">
								<br>
								<button
									class="add_item__submit button button-secondary"
									data-target="offices[value]"
									data-table="#gd-offices"
								>Add Office</button>
							</div>
							<div class="col-md-9">
								<table id="gd-offices" class="table">
									<thead>
										<tr>
											<th>IDX Feed</th>
											<th>Office Code</th>
											<th></th>
										</tr>
									</thead>
									<tbody>
										<?php if ( count( $offices->list ) > 0 ): ?>
											<?php foreach ( $offices->list as $office ): ?>
												<tr id="<?php echo $office->value; ?>">
													<td><?php echo $office->source->name; ?></td>
													<td><?php echo $office->readable; ?></td>
													<th
														scope="row"
														class="add_item__btn--delete text-danger"
														data-target="offices[value]"
														data-table="#gd-offices"
														data-table-row="<?php echo $office->value; ?>"
													>Delete</th>
												</tr>
											<?php endforeach; ?>
										<?php endif; ?>
									</tbody>
								</table>
							</div>
						</div>
					</div>

					<?php $filter = $offices->filter; ?>
					<div class="col-md-6">
						<h3>Filter</h3>
						<div class="row">
							<div class="col-md-4">
								<label for="offices[filter][days]">Days on Market</label>
								<input class="form-control" type="number" name="offices[filter][days]" value="<?php echo $filter->days; ?>">
								<label for="offices[filter][type]">Property Type</label>
								<?php gd_render_dropdown(
									'offices[filter][type]', $prop_types, $filter->type
								); ?>
								<label for="offices[filter][status]">Status</label>
								<?php gd_render_dropdown(
									'offices[filter][status]', $statuses, $filter->status
								); ?>
							</div>
							<div class="col-md-4">
								<label for="offices[filter][cities]">City</label>
								<select class="form-control" name="offices[filter][cities]" value="<?php echo $filter->cities; ?>">
									<option value="">Any</option>
									<?php foreach( gd_get_cities() as $city ): ?>
										<option value="<?php echo $city->name; ?>"
											<?php selected( $city->name, $filter->cities ); ?>>
											<?php echo $city->name; ?>
										</option>
									<?php endforeach; ?>
								</select>
								<label for="offices[filter][county]">County</label>
								<input class="form-control" type="text" name="offices[filter][county]" value="<?php echo $filter->county; ?>">
								<label for="offices[filter][zip]">Zip</label>
								<input class="form-control" type="text" name="offices[filter][zip]" value="<?php echo $filter->zip; ?>">
							</div>
							<div class="col-md-4">
								<label>Price</label>
								<div class="row">
									<div class="col-xs-12">
										<input class="form-control" type="number" name="offices[filter][minPrice]" placeholder="Min" value="<?php echo $filter->minPrice; ?>">
										<input class="form-control" type="number" name="offices[filter][maxPrice]" placeholder="Max" value="<?php echo $filter->maxPrice; ?>">
									</div>
								</div>
								<label for="offices[filter][minBeds]">Min Beds</label>
								<input class="form-control" type="number" name="offices[filter][minBeds]" value="<?php echo $filter->minBeds; ?>">
								<label for="offices[filter][minBaths]">Min Baths</label>
								<input class="form-control" type="number" name="offices[filter][minBaths]" value="<?php echo $filter->minBaths; ?>">
							</div>
						</div>
					</div>
				</div>
                <div class="row">    
                    <div class="col-xs-12">
                        <?php echo $save_button; ?>
                    </div>
				</div>
			</div>
		</div>
	</section>

	<!-- Map -->
	<section class="map">
		<fieldset>
			<input type="hidden" name="polygon" value="<?php echo $polygon; ?>">
			<!--  Circles -->
			<input type="hidden" name="lat" value="<?php echo $lat; ?>">
			<input type="hidden" name="lon" value="<?php echo $lon; ?>">
			<input type="hidden" name="radius" value="<?php echo $radius; ?>">
			<!-- Rectangles -->
			<input type="hidden" name="minLat" value="<?php echo $minLat; ?>">
			<input type="hidden" name="minLon" value="<?php echo $minLon; ?>">
			<input type="hidden" name="maxLat" value="<?php echo $maxLat; ?>">
			<input type="hidden" name="maxLon" value="<?php echo $maxLon; ?>">
		</fieldset>

		<div class="panel panel-default">
			<div class="panel-heading">
				<h3 class="panel-title">4. Additional Search Fields</h3>
				<div class="checkbox">
					<label><input type="checkbox" name="fill" value="1" <?php checked($fill, '1'); ?>>If Properties, Agents, and Offices results do not meet the maximum number of listings to display, use the map and fields below.</label>
				</div>
			</div>
			<div class="panel-body">
				<?php if ( !$new_group ): ?>
				<p>
					The green shape below shows your previous selected area.  Draw a new shape or <a href="#" id="gd-map-reset">click here</a> to reset the map.
				</p>
				<?php endif; ?>
				<div id="gd-map"></div>

				<!-- Address and Neighborhood -->
				<div class="row">
					<!-- Search by address -->
					<div class="col-md-6">
						<h3>Address</h3>
						<label>Street Number</label>
						<input class="form-control" type="text" name="streetNumber" value="<?php echo $streetNumber; ?>">
						<label>Street Name</label>
						<input class="form-control" type="text" name="streetName" value="<?php echo $streetName; ?>">
						<label>Unit</label>
						<input class="form-control" type="text" name="unit" value="<?php echo $unit; ?>">
						<label>Zip</label>
						<input class="form-control number-input" type="text" name="zip" value="<?php echo $zip; ?>">
						<label>Cities</label>
						<select class="form-control" name="cities">
							<option value="">Any</option>
							<?php foreach( gd_get_cities() as $city ): ?>
								<option value="<?php echo $city->name; ?>"
									<?php selected( $city->name, $cities ); ?>>
									<?php echo $city->name; ?>
								</option>
							<?php endforeach; ?>
						</select>
						<label>County</label>
						<input class="form-control" type="text" name="county" value="<?php echo $county; ?>">
					</div>

					<!-- Neighborhood Details -->
					<div class="col-md-6">
						<h3>Neighborhood Details</h3>
						<!-- Elementary School -->
						<label>Elementary School</label>
						<input class="form-control" type="text" name="schoolElementary" value="<?php echo $schoolElementary; ?>">
						<!-- Middle School -->
						<label>Middle School</label>
						<input class="form-control" type="text" name="schoolMiddle" value="<?php echo $schoolMiddle; ?>">
						<!-- High School -->
						<label>High School</label>
						<input class="form-control" type="text" name="schoolHigh" value="<?php echo $schoolHigh; ?>">
					</div>
				</div>
				<!-- Property Details -->
				<div class="row">
					<div class="col-xs-12">
						<h3>Property Details</h3>
					</div>
					<div class="col-md-4">
						<!-- Price -->
						<label>Price</label>
						<div class="row">
							<div class="col-xs-6">
								<input class="form-control number-input" type="text" name="minPrice" value="<?php echo $minPrice; ?>" placeholder="Min">
							</div>
							<div class="col-xs-6">
								<input class="form-control number-input" type="text" name="maxPrice" value="<?php echo $maxPrice; ?>" placeholder="Max">
							</div>
						</div>

						<!-- Beds -->
						<label>Bedrooms</label>
						<select class="form-control" name="minBed">
							<option value="">Any</option>
							<?php for ( $i = 1; $i < 13; $i++ ): ?>
								<option value="<?php echo $i; ?>"
									<?php selected( $i, $minBed ); ?>>
									<?php echo $i; ?>+
								</option>
							<?php endfor; ?>
						</select>

						<!-- Baths -->
						<label>Bathrooms</label>
						<select class="form-control" name="minBath">
							<option value="">Any</option>
							<?php for ( $i = 1; $i < 13; $i++ ): ?>
								<option value="<?php echo $i; ?>"
									<?php selected( $i, $minBath ); ?>>
									<?php echo $i; ?>+
								</option>
							<?php endfor;?>
						</select>

						<!-- Year Built -->
						<label>Year Built</label>
						<div class="row">
							<div class="col-xs-6">
								<input class="form-control number-input"
								type="text" name="minYearBuilt"
								placeholder="Min"
								value="<?php echo $minYearBuilt; ?>">
							</div>
							<div class="col-xs-6">
								<input class="form-control number-input" type="text" name="maxYearBuilt" value="<?php echo $maxYearBuilt; ?>" placeholder="Max">
							</div>
						</div>
						<!-- Master Bedroom Level -->
						<!-- This is only added if the agent has Metrolist listings -->
						<?php if ( gd_agent_has_source( 2 ) ): ?>
			<!-- 					<label>Master Bedroom Level</label>
							<select name="masterBedLevel">
								<option value="">Any</option>
								<?foreach( $listing_levels as $level ):?>
									<option value="<?=$level->id?>"  <?php selected( $level->id, gd_get_search_param( 'masterBedLevel' ) ); ?>><?=$level->readable;?></option>
								<?endforeach;?>
							</select> -->
						<?php endif; ?>
					</div>
					<div class="col-md-4">
						<!-- Property Status -->
						<label>Property Status</label>
						<!-- Defaults to Active -->
						<select class="form-control ajax-list" name="status"
						data-url="<?=GD_URL_PROXY_API_STATUSES?>"
						data-selected="<?php echo $status; ?>" data-default="2">
							<option value="">Any</option>
						</select>
						<!-- Property Type -->
						<label>Property Type</label>
						<select class="form-control ajax-list" name="type"
						data-url="<?=GD_URL_PROXY_API_TYPES?>"
						data-selected="<?php echo $type; ?>">
							<option value="">Any</option>
						</select>
						<!-- Property Style -->
						<label>Property Style</label>
						<select class="form-control ajax-list" name="style"
						data-url="<?php echo GD_URL_PROXY_API_STYLES; ?>"
						data-selected="<?php echo $style; ?>">
							<option value="">Any</option>
						</select>
						<!-- Finished Basement -->
						<!-- This is only added if the agent has Metrolist listings -->
						<?php if ( gd_agent_has_source( 2 ) ): ?>
			<!-- 							<label>Finished Basement</label>
							<select class="form-control" name="finishedBasement">
								<option value="">Any</option>
								<option value="1" <?php selected( gd_get_search_param( 'finishedBasement' ), 1 ) ?>>Yes</option>
								<option value="0" <?php selected( gd_get_search_param( 'finishedBasement' ), 0 ) ?>>No</option>
							</select> -->
						<?php endif; ?>
					</div>
					<div class="col-md-4">
						<!-- Above Area -->
						<label>Above Ground SqFt ( min to max )</label>
						<div class="row">
							<div class="col-xs-6">
								<select class="form-control" name="minAboveArea">
									<option value="">Any</option>
									<?php for ( $i = 1; $i < 15; $i++ ): $value = $i * 500; ?>
										<option value="<?php echo $value; ?>"
										<?php selected( $value, $minAboveArea ); ?>>
											At least <?php echo number_format( $value ) . 'sqft'; ?>
										</option>
									<?php endfor; ?>
								</select>
							</div>
							<div class="col-xs-6">
								<select class="form-control" name="maxAboveArea">
									<option value="">Any</option>
									<?php for ( $i = 1; $i < 15; $i++ ): $value = $i * 500; ?>
										<option value="<?php echo $value; ?>"
										<?php selected( $value, $maxAboveArea ); ?>>
											At most <?php echo number_format( $value ) . 'sqft'; ?>
										</option>
									<?php endfor; ?>
								</select>
							</div>
						</div>

						<!-- Finished Area -->
						<label>Finished SqFt ( min to max )</label>
						<div class="row">
							<div class="col-xs-6">
								<select class="form-control" name="minFinishedArea">
									<option value="">Any</option>
									<?php for ( $i = 1; $i < 15; $i++ ): $value = $i * 500; ?>
										<option value="<?php echo $value; ?>"
										<?php selected( $value, $minFinishedArea ); ?>>
											At least <?php echo number_format( $value ) . 'sqft'; ?>
										</option>
									<?php endfor; ?>
								</select>
							</div>
							<div class="col-xs-6">
								<select class="form-control" name="maxFinishedArea">
									<option value="">Any</option>
									<?php for ( $i = 1; $i < 15; $i++ ): $value = $i * 500; ?>
										<option value="<?php echo $value; ?>"
										<?php selected( $value, $maxFinishedArea ); ?>>
											At most <?php echo number_format( $value ) . 'sqft'; ?>
										</option>
									<?php endfor; ?>
								</select>
							</div>
						</div>

						<!-- Total Area -->
						<label>Total SqFt ( min to max )</label>
						<div class="row">
							<div class="col-xs-6">
								<select class="form-control" name="minTotalArea">
									<option value="">Any</option>
									<?php for ( $i = 1; $i < 15; $i++ ): $value = $i * 500; ?>
										<option value="<?php echo $value; ?>"
										<?php selected( $value, $minTotalArea ); ?>>
											At least <?php echo number_format( $value ) . 'sqft'; ?>
										</option>
									<?php endfor; ?>
								</select>
							</div>
							<div class="col-xs-6">
								<select class="form-control" name="maxTotalArea">
									<option value="">Any</option>
									<?php for ( $i = 1; $i < 15; $i++ ): $value = $i * 500; ?>
										<option value="<?php echo $value; ?>"
										<?php selected( $value, $maxTotalArea ); ?>>
											At most <?php echo number_format( $value ) . 'sqft'; ?>
										</option>
									<?php endfor; ?>
								</select>
							</div>
						</div>

						<!-- Parking Spaces -->
						<label>Minimum Parking Spaces</label>
						<select class="form-control" name="minParkingSpaces">
							<option value="">Any</option>
							<?php for( $i = 1; $i < 6; $i++ ): ?>
								<option value="<?php echo $i; ?>"
								<?php selected( $i, $minParkingSpaces ); ?>>
									At least <?php echo ( $i == 1 ) ? '1 space' : "$i spaces"; ?>
								</option>
							<?php endfor; ?>
						</select>

						<!-- Acreage -->
						<label>Acreage</label>
						<div class="row">
							<div class="col-xs-6">
								<input class="form-control number-input" type="text" name="minAcreage"
								value="<?php echo $minAcreage; ?>" placeholder="Min">
							</div>
							<div class="col-xs-6">
								<input class="form-control number-input" type="text" name="maxAcreage"
								value="<?php echo $maxAcreage; ?>" placeholder="Max">
							</div>
						</div>
					</div>
				</div>
				<div class="row">
					<div class="col-xs-12">
						<?php echo $save_button; ?>
					</div>
				</div>
			</div>
		</div>
	</section>
</form>
