<?php
/**
 * GeoDigs JS Scripts
 */


#
# Register our scripts
#

// DEPRECATED SCRIPTS
wp_register_script(
    'gd_gallery',
    GD_URL_ASSETS_JS . 'gallery.js',
    array( 'jquery' ),
    false,
    true
);
wp_register_script(
    'jq_easing',
    GD_URL_ASSETS_JS . 'jquery.easing.1.3.js',
    array( 'jquery' ),
    false,
    true
);
wp_register_script(
    'jq_elastislide',
    GD_URL_ASSETS_JS . 'jquery.elastislide.js',
    array( 'jquery' ),
    false,
    true
);
wp_register_script(
    'jq_tmpl',
    GD_URL_ASSETS_JS . 'jquery.tmpl.min.js',
    array( 'jquery' ),
    false,
    true
);
// END DEPRECATED SCRIPTS


// Google maps
$gd_google_maps_options = gd_get_option( GD_OPTIONS_GOOGLE_MAPS );
$gd_maps_key = $gd_google_maps_options['ApiKey'];
wp_register_script(
    'gd_google_maps_api',
    PROTOCOL . 'maps.google.com/maps/api/js?key=' . $gd_maps_key,
    null,
    false,
    true
);
wp_register_script(
    'gd_google_maps_drawing_api',
    PROTOCOL . 'maps.google.com/maps/api/js?libraries=drawing&key=' . $gd_maps_key,
    null,
    false,
    true
);

// RoyalSlider
wp_register_script(
    'jquery_royalslider',
    GD_URL_ASSETS_JS . 'jquery.royalslider.min.js',
    array( 'jquery' ),
    false,
    true
);
wp_register_script(
    'gd_slider',
    GD_URL_ASSETS_JS . 'slider.js',
    array( 'jquery_royalslider' ),
    false,
    true
);

// Bootstrap
wp_register_script(
    'gd_bootstrap_js',
    GD_URL_ASSETS_JS . 'bootstrap.min.js',
    array( 'jquery' ),
    '3.3.6',
    true
);

// GeoDigs
wp_register_script(
    'gd_main',
    GD_URL_ASSETS_JS . 'main.js',
    array( 'jquery' ),
    false,
    true
);
wp_register_script(
    'gd_map_search',
    GD_URL_ASSETS_JS . 'google-map-search.js',
    array( 'gd_google_maps_drawing_api' ),
    false,
    true
);
wp_register_script(
    'gd_map_results',
    GD_URL_ASSETS_JS . 'google-map-results.js',
    array( 'gd_google_maps_api' ),
    false,
    true
);
wp_register_script(
    'gd_admin_custom_searches_table',
    GD_URL_ADMIN_ASSETS_JS . 'custom-searches-table.js',
    array( 'jquery' ),
    false,
    true
);
wp_register_script(
    'gd_admin_custom_search_form',
    GD_URL_ADMIN_ASSETS_JS . 'custom-search-form.js',
    array( 'jquery',
    'gd_map_search' ),
    false,
    true
);
wp_register_script(
    'gd_mortgage_calculator',
    GD_URL_ASSETS_JS . 'mortgage-calculator.js',
    array( 'jquery' ),
    false,
    true
);
wp_register_script(
    'gd_quick_search',
    GD_URL_ASSETS_JS . 'quick-search.js',
    array( 'jquery', 'jquery-ui-autocomplete' ),
    false,
    true
);

function gd_enqueue_scripts() {
    #
    # Localize (insert PHP vars into JS) our scripts
    #
    wp_localize_script( 'gd_main', 'wp_params', array(
        'home_url' => home_url()
    ));


    #
    # Enqueue our scripts
    #
    wp_enqueue_script( 'gd_main' );

    if ( is_admin() && isset( $_GET['page'] ) ) {
        switch ( $_GET['page'] ) {
            case GD_ADMIN_PAGE_CUSTOM_SEARCHES:
                $adv_search_settings = gd_get_option( GD_OPTIONS_ADVANCED_SEARCH );
                wp_enqueue_script( 'gd_admin_custom_searches_table' );
                wp_localize_script( 'gd_map_search', 'map_search', array(
                    'start' => array(
                        'lat' => $adv_search_settings['MapSearchStartLat'],
                        'lon' => $adv_search_settings['MapSearchStartLon'],
                        'zoom' => $adv_search_settings['MapSearchStartZoom'],
                    ),
                ));
                break;
        }
    } else {
        // Load boostrap
        wp_enqueue_script( 'gd_bootstrap_js' );
    }
}
add_action( 'wp_enqueue_scripts', 'gd_enqueue_scripts' );
add_action( 'admin_enqueue_scripts', 'gd_enqueue_scripts' );
