<?php
/**
 * GeoDigs styles
 */

// DEPRECATED STYLES
wp_register_style( 'gd_gallery', GD_URL_ASSETS_CSS . 'responsivegallery.css' );
wp_register_style( 'jq_elastislide', GD_URL_ASSETS_CSS . 'elastislide.css' );
// END DEPRECATED STYLES

wp_register_style( 'gd_bootstrap_css', GD_URL_ASSETS_CSS . 'bootstrap.min.css', null, '3.3.6' );
// This style specfically contains depricated CSS styles for older sites.
wp_register_style( 'gd_depricated', GD_URL_ASSETS_CSS . 'depricated.css' );
wp_register_style( 'gd_map', GD_URL_ASSETS_CSS . 'gd-map.css' );
wp_register_style( 'rs-default', GD_URL_ASSETS_CSS . 'rs-default.css' );
wp_register_style( 'royalslider', GD_URL_ASSETS_CSS . 'royalslider.css', array( 'rs-default' ) );
wp_register_style( 'gd', GD_URL_ASSETS_CSS . 'styles.css' );
wp_register_style( 'gd_admin', GD_URL_ADMIN_ASSETS_CSS . 'styles.css' );

/**
 * Output custom CSS on all GeoDigs pages.
 */
function gd_output_custom_styles() {
	global $wp_query;
	
    if ( isset( $wp_query->query_vars['gd_action'] ) ) {
		$style_options = gd_get_option(GD_OPTIONS_SCRIPTS_AND_STYLES);

		echo '<style>' . $style_options['CustomCSS'] . '</style>';
	}
}
add_action( 'wp_head', gd_output_custom_styles );

/**
 * Enqueue GeoDigs styles and utilities for admin or non-admin pages.
 */
function gd_enqueue_styles() {
	if ( is_admin() ) {
		wp_enqueue_style( 'gd_admin_bootstrap', GD_URL_ADMIN_ASSETS_CSS . 'bootstrap/bootstrap.css' );
		wp_enqueue_style( 'gd_admin', GD_URL_ADMIN_ASSETS_CSS . 'styles.css' );
	} else {
		// Load Boostrap
		wp_enqueue_style( 'gd_bootstrap_css' );
	}
}
add_action( 'wp_enqueue_scripts', 'gd_enqueue_styles' );
add_action( 'admin_enqueue_scripts', 'gd_enqueue_styles' );

/**
 * Enqueue depricated GeoDigs styles and utilities for non-admin pages.
 */
function gd_enqueue_styles_end() {
	if ( !is_admin() ) {
		wp_enqueue_style( 'gd_depricated' );
		wp_enqueue_style( 'gd' );
	}
}
add_action( 'wp_enqueue_scripts', 'gd_enqueue_styles_end', 15 );
