<?php
use \GeoDigs\API as API;
use \GeoDigs\User as User;

/**
 * Attempts an agent login to the GeoDigs server to validate the plugin and
 * get agent info.
 *
 * @param $tries (2) - Number of tries to connect to the API.
 * @return bool - Login status.
 */
function gd_try_login( $tries = 2 ) {
	global $login_info;
	$logged_in = false;

    // Validate the agent code.
    $agent_code = $login_info['AgentCode'];
    if ( strlen( $agent_code ) != 5 ) {
        $message = "Agent Code is not 5 characters.\n" .
                   "Agent Login Info used: %s\n" .
                   "Site: %s";
        $message = sprintf($message, print_r($login_info, true), home_url());

        mail( 'support@newmediaone.net', 'GeoDigs Site Warning', $message );
    }

	if ( $tries > 0 ) {
        $_SESSION['gd']['agent'] = API::call(
            'GET', 'agents/' . $agent_code );

		if (
			false == isset( $_SESSION['gd']['agent'] )
			|| isset( $_SESSION['gd']['agent']->error )
		) {
			User::log_out(false, true);
			User::login_temp( $agent_code );

			$logged_in = gd_try_login( $tries - 1 );
		} else {
			$logged_in = true;
		}
	}
	return $logged_in;
}
