<!-- START account-home.php -->
<?php
use GeoDigs\Calendars as Calendars;
use GeoDigs\DocumentStore as DocumentStore;

Calendars::init();
DocumentStore::init();

if ( isset( $_GET['action'] ) ) {
	switch ( $_GET['action'] ) {
		case 'upload':
			if ( count( $_FILES ) > 0 ) {
				DocumentStore::add_file( $_POST['fileName'], $_POST['description'], 'active' );
			}
			break;
		case 'download':
			DocumentStore::download_file( $_GET['id'] );
			break;
		case 'edit':
			if ( $_POST['id'] ) {
				DocumentStore::update_file( $_POST['id'], $_POST['fileName'], $_POST['description'], 'active' );
			}
			break;
		case 'delete':
			DocumentStore::delete_file( $_GET['id'] );
			break;
	}
}

$files = DocumentStore::get_files( $_SESSION['gd']['user']->id );
$calendars = GeoDigs\Calendars::get_for_user( $_SESSION['gd']['user']->id );
?>

<div id="gd" class="gd-my-account">
	<h1 class="text-primary"><strong>Document Store</strong></h1>
	<?php if ( $files ): ?>
		<table>
			<tr>
				<th>Name</th>
				<th>Description</th>
				<th>Uploaded</th>
			</tr>
			<?php foreach ( $files as $file ): ?>
				<tr>
					<td><a href="?action=download&id=<?=$file->id?>"><?=$file->name?></a></td>
					<td><?=$file->description?></td>
					<td><?=date( 'F j, Y, g:i a', strtotime( $file->modDate ) )?></td>
				</tr>
			<?php endforeach; ?>
		</table>
	<?php else: ?>
		<h2><strong>No files found</strong></h2>
	<?php endif; ?>
	<h1 class="text-primary"><strong>Calendars</strong></h1>
	<?php if ( $calendars ): ?>
		<?php foreach ( $calendars as $calendar ): ?>
			<iframe class="gd-calendar" src="<?=str_replace( array( 'http://', 'https://' ), PROTOCOL, $calendar->link )?>" frameborder="0"></iframe>
		<?php endforeach; ?>
	<?php else: ?>
		<h2><strong>No calendars to show</strong></h2>
	<?php endif; ?>
</div>
<!-- END account-home.php -->
