<?php
$address = isset( $_GET['address'] ) ? $_GET['address'] :
	( isset( $_SESSION['gd']['user']->address->street ) ? $_SESSION['gd']['user']->address->street : '' );
$unit = isset( $_GET['unit'] ) ? $_GET['unit'] :
	( isset( $_SESSION['gd']['user']->address->unit ) ? $_SESSION['gd']['user']->address->unit : '' );
$city = isset( $_GET['city'] ) ? $_GET['city'] :
	( isset( $_SESSION['gd']['user']->address->city ) ? $_SESSION['gd']['user']->address->city : '' );
$zip = isset( $_GET['zip'] ) ? $_GET['zip'] :
	( isset( $_SESSION['gd']['user']->address->zip ) ? $_SESSION['gd']['user']->address->zip : '' );
$state = isset( $_GET['state'] ) ? $_GET['state'] :
	( isset( $_SESSION['gd']['user']->address->state ) ? $_SESSION['gd']['user']->address->state : '' );
?>

<div id="gd" class="gd-home-worth">
	<div class="row gd-row">
		<div id="gd-zestimate-info" class="col-md-4 gd-col-md-4">
			<img id="gd-zestimate-logo" src="<?=GD_URL_IMAGES?>/ui/zillow.png" alt="Zillow Zestimate">
			<p>The Zestimate home valuation is Zillow's estimated market value for a home, computed using a proprietary formula. It is a starting point in determining a home's value and is not an official appraisal. The Zestimate is calculated from public and user-submitted data. Updating your home facts can help make your Zestimate more accurate. <a href="http://www.zillow.com/zestimate" target="_blank">Learn more</a></p>
		</div>
		<div class="col-md-8 gd-col-md-8">
	<!-- 		Show results if we have them -->
			<?php if ( !empty( $address ) && !empty( $city ) && !empty( $zip ) && !empty( $state ) ): ?>
				<?php include GD_DIR_INCLUDES . 'home-worth-results.php'; ?>
			<?php endif; ?>

	<!-- 		Zestimate Form -->
			<form method="GET">
				<fieldset class="form-group gd-form-group">
					<input type="text" class="form-control gd-form-control" name="address" value="<?=$address?>" placeholder="Street Address" required>
					<input type="text" class="form-control gd-form-control" name="unit" value="<?=$unit?>" placeholder="Unit">
					<input type="text" class="form-control gd-form-control" name="city" value="<?=$city?>" placeholder="City" required>
					<input type="text" class="form-control gd-form-control" name="zip" value="<?=$zip?>" placeholder="Zip Code" required>
					<select name="state" class="form-control gd-form-control" id="gd-home-worth-state">
						<?=gd_state_list( $state )?>
					</select>
				</fieldset>
				<input type="submit" class="btn btn-primary" style="width: 100%" value="Click here to get your real-time estimate from Zillow!">
			</form>
		</div>
	</div>
</div>
