<?php
namespace GeoDigs\Shortcodes;

use GeoDigs\API as API;
use GeoDigs\Template as Template;

/**
 * GeoDigs Mortgage Calculator shortcode
 */
class MortgageCalculator extends Shortcode
{

	function __construct() {
		$this->handle = 'gd_mortgage_calculator';

		parent::__construct( $this->handle );
	}

	function handle_shortcode( $atts ) {
		ob_start(); ?>
		<form id="gd-mortgage-calculator">
			<fieldset>

				<div class="gd-from-group form-group">
					<label for="gd-mortgage-calculator-down-payment">Price</label>
					<div class="input-group gd-input-group">
			      <div class="input-group-addon gd-input-group-addon">$</div>
			      <input type="text" class="form-control gd-form-control" id="gd-mortgage-calculator-price" placeholder="Amount" onkeyup="dosum()">
			    </div>
				</div>

				<div class="gd-from-group form-group">
					<label for="gd-mortgage-calculator-down-payment">Down Payment</label>
					<div class="input-group gd-input-group">
			      <div class="input-group-addon gd-input-group-addon">$</div>
			      <input type="text" class="form-control gd-form-control" id="gd-mortgage-calculator-down-payment" placeholder="Amount" onkeyup="dosum()">
			    </div>
		    </div>

				<div class="gd-from-group form-group">
					<label for="gd-mortgage-calculator-interest">Interest</label>
					<div class="input-group gd-input-group">
			      <div class="input-group-addon gd-input-group-addon">%</div>
			      <input type="text" class="form-control gd-form-control" id="gd-mortgage-calculator-interest" onkeyup="dosum()" value="5.25">
			    </div>
				</div>

				<div class="gd-from-group form-group">
					<label for="gd-mortgage-calculator-years">Years</label>
					<input type="text" id="gd-mortgage-calculator-years" onkeyup="dosum()" value="30" class="form-control gd-form-control">
				</div>

				<div class="gd-from-group form-group">
					<label for="gd-mortgage-calculator-annual-taxes">Annual Taxes</label>
					<div class="input-group gd-input-group">
			      <div class="input-group-addon gd-input-group-addon">$</div>
						<input type="text" id="gd-mortgage-calculator-annual-taxes" onkeyup="dosum()" value="" class="form-control gd-form-control">
					</div>
				</div>

				<div class="gd-from-group form-group">
					<label for="gd-mortgage-calculator-insurance">Insurance</label>
					<div class="input-group gd-input-group">
			      <div class="input-group-addon gd-input-group-addon">$</div>
			      <input type="text" id="gd-mortgage-calculator-insurance" onkeyup="dosum()" value="0" class="form-control gd-form-control">
			    </div>
				</div>

				<div class="gd-from-group form-group">
					<label for="gd-mortgage-calculator-monthly-estimate">Monthly Estimate</label>
					<div class="input-group gd-input-group">
			      <div class="input-group-addon gd-input-group-addon">$</div>
						<input type="text" id="gd-mortgage-calculator-monthly-estimate" value="$" class="form-control gd-form-control">
					</div>
				</div>

				<div class="gd-from-group form-group">
					<input type="button" class="btn btn-primary gd-btn gd-btn-primary" value="Reset" onclick="this.form.reset();dosum()">
				</div>
			</fieldset>
		</form>
		<?php

		$content = ob_get_clean();
		return $content;
	}

	public function enqueue_scripts() {
		global $post;

		if( is_a( $post, 'WP_Post' ) && has_shortcode( $post->post_content, $this->handle ) ) {
			wp_enqueue_script( 'gd_mortgage_calculator' );
		}
	}
}
