<?php
namespace GeoDigs\Shortcodes;

use \GeoDigs\API as API;

/**
 * GeoDigs Our Listings shortcode
 */
class OurListings extends Shortcode
{

	function __construct() {
		$this->handle = 'gd_our_listings';

		parent::__construct( $this->handle );
	}

	public function handle_shortcode( $atts ) {
		$hide_edit_search = true;
		$our_listings     = gd_get_option( GD_OPTIONS_OUR_LISTINGS );

		if( $our_listings ) {
			if ( isset( $our_listings['Source'] ) ) {
				$route = 'listings';
				$data = array();

				// Get source
				$source_id = intval( $our_listings['Source'] );
				$source = $_SESSION['gd']['agent']->sources->{ $source_id };

				// Get listings to display
				if ( $our_listings['ListingsToDisplay'] == 'agent' ) {
					$data['agentCode'] = $source->mlsCode;
				} elseif ( $our_listings['ListingsToDisplay'] == 'office' ) {
					$data['officeCode'] = $source->officeCode;
				}

				// Get type
				if ( isset( $our_listings['Type'] ) && $our_listings['Type'] != 'all' ) {
					$data['type'] = $our_listings['Type'];
				}

				// Only active listings
				$data['status'] = 2;

				// If a specific page is requested make sure to add it
				if ( isset( $_GET['listingsPage'] ) ) {
					$data['page'] = $_GET['listingsPage'];
				}

				$results = API::call( 'GET', $route, $data );
			} else {
				wp_die( 'GeoDigs Error: No source selected for Our Listings', 'GeoDigs Error' );
			}
		}

		// Start the output
		ob_start();

		include GD_DIR_INCLUDES . 'listings-results.php';

		$content = ob_get_clean();
		return $content;
	}

	public function enqueue_scripts() {}
}
