<?php
namespace GeoDigs\Shortcodes;

/**
 * GeoDigs Quick Search shortcode
 */
class QuickSearch extends Shortcode
{

	function __construct() {
		$this->handle = 'gd_quick_search';

		parent::__construct( $this->handle );
	}

	public function handle_shortcode( $atts ) {
		$content = \GeoDigs\Template::load(
			'search-forms/quick.php',
			array(
				'form_action' => home_url() . '/' . GD_URL_SEARCH,
			),
			false
		);

		return $content;
	}

	public function enqueue_scripts() {
		global $post;

		if( is_a( $post, 'WP_Post' ) && has_shortcode( $post->post_content, $this->handle ) ) {
			wp_enqueue_script( 'gd_quick_search' );
		}
	}
}
