<?php
use \GeoDigs\API as API;

function gd_listings_shortcode_handler( $atts ) {
	$a = shortcode_atts( array(
		'fields' => '', // for backwards compatability
		'url' => '',
	), $atts );

	// for backwards compatability
	if ( strlen( $a['url'] ) == 0 && strlen( $a['fields'] ) > 0 ) {
		$a['url'] = $a['fields'];
	}

	$params = array();

	// Convert shortcode att to array
	$fields = explode( '?', $a['url'] );
	$fields = explode( '&', $fields[1] );
	foreach ( $fields as $field ) {
		$field             = str_replace( 'amp;', '', $field );
		$param             = explode( '=', $field );
		$params[$param[0]] = $param[1];
	}

	// If a specific page is requested make sure to add it
	if ( isset( $_GET['listingsPage'] ) ) {
		$params['page'] = $_GET['listingsPage'];
	}

	$results = API::call( 'GET', 'listings', $params );

	// Start the output
	$hide_edit_search = true;
	ob_start();

	include_once GD_DIR_INCLUDES . 'listings-results.php';

	$content = ob_get_contents();
	ob_end_clean();
	return $content;
}
