<?php
/**
 * Notes
 *
 *	- To see all available data points call var_dump( $listing )
 *	- Use $count to figure out what listing is currently being outputted.  This can be used to alternate styles for odd/even rows.
 */

use GeoDigs\API as API;
use GeoDigs\User as User;
?>
<div id="gd-featured-listings" class="row gd-row">
	<?php foreach( $listings as $listing ): ?>
		<?php
		// Get listing URL and photo
		$listing_url  = gd_format_listing_url( $listing->address->readable, $listing->id );
		$photo        = API::URL . "listings/{$listing->id}/photo/0?size=small";
		$photo_large  = API::URL . "listings/{$listing->id}/photo/0?size=large";
		$source_image = isset( $listing->source ) ? $listing->source->image : '';

		// Get favorite status
		$favorite_status = User::has_favorite( $listing->id ) ? 'gd-favorite-toggle-on' : '';
		?>
		<div class="gd-listing gd-col-md-6 col-md-6">
			<header class="gd-listing-header">
				<a href="<?php echo $listing_url; ?>">
					<div class="gd-address">
						<h3><?php echo $listing->address->readable; ?></h3>
					</div>
					<div class="gd-photo" style="background-image: url(<?php echo $photo_large; ?>)">
					</div>
				</a>
			</header>

			<div class="gd-details">
				<ul>
					<?php if( $listing->beds->count ): ?>
					<li>
						<div class="beds-image">
							<img src="<?php echo GD_URL_IMAGES; ?>ui/icon-bed.png" alt="Beds"/>
						</div>

						<div class='beds'>
							<?php echo $listing->beds->count; ?>
						</div>
					</li>
					<?php endif; ?>

					<?php if( $listing->baths->count ): ?>
					<li>
						<div class="baths-image">
							<img src="<?php echo GD_URL_IMAGES; ?>ui/icon-bath.png" alt="Baths" />
						</div>

						<div class="baths">
							<?php echo $listing->baths->count; ?>
						</div>
					</li>
					<?php endif; ?>

					<?php if( $listing->sizes->total->area->readable ): ?>
					<li>
						<div class="sqFt-image">
							<img src="<?php echo GD_URL_IMAGES; ?>ui/icon-sq.png" alt="Sq Ft." />
						</div>
						<div class="sqFt">
							<?php echo $listing->sizes->total->area->readable; ?>
						</div>
					</li>
					<?php endif; ?>

					<li>
						<div class="source-img">
							<img src="<?php echo $source_image; ?>" class="img-responsive gd-img-responsive" alt="<?php echo $listing->source->name; ?>" />
						</div>
					</li>
				</ul>
			</div>
			<footer class="gd-listing-footer">
				<?php if ( User::is_logged_in() ): ?>
					<div class="gd-favorite-toggle <?php echo $favorite_status?>" data-listing-id="<?php echo $listing->id?>">
						<?php echo file_get_contents( GD_DIR_IMAGES . 'ui/favorite-star.svg' ); ?>
						<span class="gd-favorite-add-text">Add Favorite</span>
						<span class="gd-favorite-remove-text">Remove Favorite</span>
					</div>
				<?php endif; ?>

				<div class="gd-price">
					<?php if( $listing->price->readable ): ?>
						<span><?php echo $listing->price->readable; ?></span>
					<?php endif; ?>
				</div>
			</footer>
		</div>

		<?php $count++;
	endforeach; ?>
</div>
