<?php
/**
 * Notes
 *
 *	- To see all available data points call var_dump( $listing )
 * 	- gd_format_listing_detail( $varToCheck, $text, $class ) when called takes a listing attr, checks if it exists, and then outputs it with text and an optional class
 *	- Use $count to figure out what listing is currently being outputted.  This can be used to alternate styles for odd/even rows.
 */
use \GeoDigs\Router as Router;

$star = file_get_contents( GD_DIR_IMAGES . 'ui/favorite-star.svg' );
$source_image = isset( $listing->source ) ? $listing->source->image : '';

$beds = isset( $listing->beds ) ? $listing->beds->count : 0;
$baths = isset( $listing->baths ) ? $listing->baths->count : 0;
$total_area = isset( $listing->sizes->total->area->readable )
	? $listing->sizes->total->area->readable
	: 0;
?>
<li class="gd-listing col-xs-12 gd-col-xs-12">
	<div class="gd-media">
		<div class="gd-photo">
			<a href="<?php echo $listing_url; ?>">
				<img src="<?php echo $photo; ?>" alt="MLS <?php echo $listing->mlsNumber; ?>" class="img-responsive"/>
			</a>
		</div>
	</div>
	<div class="gd-primary-data">
		<div class="gd-address">
			<a href="<?php echo $listing_url; ?>">
				<?php echo $listing->address->readable; ?>
			</a>
			<?php if ( \GeoDigs\User::is_logged_in() ): ?>
				<div class="gd-favorite-toggle <?php echo $favorite_status; ?>" data-listing-id="<?php echo $listing->id; ?>">
					<?php echo $star ?>
					<span class="gd-favorite-add-text">Add Favorite</span>
					<span class="gd-favorite-remove-text">Remove Favorite</span>
				</div>
			<?php else: ?>
				<?php Router::set_redirect_uri( $_SERVER['REQUEST_URI'] ); ?>
				<a href="<?php echo home_url( '/' . GD_URL_LOGIN ); ?>">
					<?php echo $star; ?>
					<span class="gd-favorite-add-text">Add Favorite</span>
				</a>
			<?php endif; ?>
		</div>
		<div class="gd-price">
			<?php gd_format_listing_detail( $listing->price->readable, $listing->price->readable ); ?>
		</div>
		<div class="gd-mls-number">MLS #<?php echo $listing->mlsNumber; ?></div>
	</div>
	<div class="gd-secondary-data">
		<?php
			gd_format_listing_detail( $beds, $beds . ' beds' );
			gd_format_listing_detail( $baths, $baths . ' baths' );
			gd_format_listing_detail( $total_area, $total_area );
		?>
<!-- 		DO NOT REMOVE THIS ENTIRELY AS IT IS REQUIRED TO BE DISPLAYED -->
		<div class="source-img">
			<img src="<?php echo $source_image; ?>" class="img-responsive" alt="<?php echo $listing->source->name; ?>" />
		</div>
<!-- 		DO NOT REMOVE THIS ENTIRELY AS IT IS REQUIRED TO BE DISPLAYED -->
	</div>
</li>
