<?php
class GD_Custom_Search_Widget extends WP_Widget {
	/**
	 * Sets up the widgets name etc
	 */
	public function __construct() {
		// widget actual processes

		parent::__construct(
			'gd_custom_search', // Base ID
			__( 'GeoDigs Custom Search', 'text_domain' ), // Name
			array( 'description' => __( 'Display a custom search as a widget', 'text_domain' ), ) // Args
		);
	}

	/**
	 * Outputs the content of the widget
	 *
	 * @param array $args
	 * @param array $instance
	 */
	public function widget( $args, $instance ) {
		if ( !empty( $instance['custom_search_id'] ) ) {
			echo '<div id="custom-search-' . $args['id'] . '-widget" class="widget gd-custom-search-widget">';
			echo do_shortcode( '[gd_custom_search id="' . $instance['custom_search_id'] . '"]' );
			echo '</div>';
		}
	}

	/**
	 * Outputs the options form on admin
	 *
	 * @param array $instance The widget options
	 */
	
	public function form( $instance ) {
		// outputs the options form on admin

		$defaults = array(
			'custom_search_id' => '',
		);
		$instance = wp_parse_args((array )$instance, $defaults );
		?>

		<p>
			<label for="<?=$this->get_field_id( 'custom_search_id' )?>">Enter GeoDigs Custom Search ID</label>
			<input id="<?=$this->get_field_id( 'custom_search_id' )?>" name="<?=$this->get_field_name( 'custom_search_id' )?>" class="widefat" type="text" value="<?=$instance['custom_search_id']?>"/>
		</p>
	<? }

	/**
	 * Processing widget options on save
	 *
	 * @param array $new_instance The new options
	 * @param array $old_instance The previous options
	 */
	public function update( $new_instance, $old_instance ) {
		// processes widget options to be saved

		return $new_instance;
	}
}
